using System;
using System.Collections.Generic;

class PrviZadatak
{
    static void Main(string[] args)
    {
        List<int> spil = new List<int>();
        string[] niska = Console.ReadLine().Split(); int n = int.Parse(niska[0]);int k = int.Parse(niska[1]);

        string[] karte_u_spilu = Console.ReadLine().Split();
        for (int i = 0; i < n; i++) { spil.Add(int.Parse(karte_u_spilu[i])); }
        
        int karta = spil.IndexOf(k);
        if (karta != n - 1) { Console.WriteLine(spil[karta + 1]); }
        else { Console.WriteLine(spil[0]); }
    }
}